# Uses of Class
serp.bytecode.TableSwitchInstruction

Packages that use TableSwitchInstruction
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of TableSwitchInstruction in serp.bytecode

Methods in serp.bytecode that return TableSwitchInstruction
Modifier and Type
Method
Description
`TableSwitchInstruction`
TableSwitchInstruction.`addTarget(Instruction target)`
Add a target to this switch.
`TableSwitchInstruction`
TableSwitchInstruction.`setDefaultOffset(int offset)`
Synonymous with `JumpInstruction.setOffset(int)`.
`TableSwitchInstruction`
TableSwitchInstruction.`setDefaultTarget(Instruction ins)`
Synonymous with `JumpInstruction.setTarget(serp.bytecode.Instruction)`.
`TableSwitchInstruction`
TableSwitchInstruction.`setHigh(int high)`
`TableSwitchInstruction`
TableSwitchInstruction.`setLow(int low)`
`TableSwitchInstruction`
TableSwitchInstruction.`setTargets(Instruction[] targets)`
Set the jump points for this switch.
`TableSwitchInstruction`
Code.`tableswitch()`
The `tableswitch` opcode.

## Uses of TableSwitchInstruction in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type TableSwitchInstruction
Modifier and Type
Method
Description
`void`
BCVisitor.`enterTableSwitchInstruction(TableSwitchInstruction obj)`
`void`
PrettyPrintVisitor.`enterTableSwitchInstruction(TableSwitchInstruction obj)`
`void`
BCVisitor.`exitTableSwitchInstruction(TableSwitchInstruction obj)`